package com.supplier.service;

import com.supplier.model.*;
import java.util.List;
import java.util.Map;

public interface SupplierReleaseService{
    void addRelease(SupplierRelease supplierRelease);

    void addReleaseDay(SupplierReleaseDay supplierReleaseDay);

    void addReleasePlay(SupplierReleasePlay supplierReleasePlay);

    List<SupplierRelease> getSupplierRelease(SupplierRelease supplierRelease);

    List<SupplierReleaseDay> getSupplierReleaseDay(String uuid);

    List<SupplierReleasePlay> getSupplierReleasePlay(String uuid);

    void updateSupplierRelease(SupplierRelease supplierRelease);

    void addPrivateType(SupplierRelease supplierRelease);

    void updatePrivateType(SupplierRelease supplierRelease);

    ConfirmOrdering getConfirmOrdering(ConfirmOrdering confirmOrdering);

    List<UsedUser> getConfirmUsed(String uuid);

    List<SupplierRelease> getSupplierReleaseType(String demandUuid);

    void updateSupplierOffer(SupplierRelease supplierRelease2);

    ConfirmOrdering getConfirmOrderingUser(ConfirmOrdering confirmOrdering);

    Map<String, Object> updateTraffic(SupplierRelease supplierRelease);

    String getSupplierOrderType(SupplierRelease supplierRelease1);

    Map<String, Object> getSitesInfo();

    Map<String, Object> delRelease(SupplierRoute supplierRoute);
}
